Page MenuHomePhabricator

D4. Edit patrolling links in grouped RC (CA)
Closed, ResolvedPublic1 Story Points

Description

Timestamp links should go to the correct oldid links in grouped RC.

See T94452 for more info.

Event Timeline

DannyH created this task.Jun 10 2015, 5:34 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to Normal.
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 5:34 PM
DannyH updated the task description. (Show Details)Jun 10 2015, 6:14 PM
DannyH set Security to None.
DannyH edited a custom field.
DannyH updated the task description. (Show Details)Jun 10 2015, 6:18 PM
DannyH updated the task description. (Show Details)
DannyH renamed this task from Edit patrolling links in grouped RC to Edit patrolling links in grouped RC (CA).
DannyH renamed this task from Edit patrolling links in grouped RC (CA) to D4. Edit patrolling links in grouped RC (CA).Jun 16 2015, 7:22 PM

EnhancedChangesList.php, L303-378 is what builds the output HTML for individual lines.
L334-339 format this specific link (from $params in L320-324)

Most straightforward solution would probably be to break apart the rendering of the individual lines into a separate method (it's part of a 200+ lines method) and - in there - introduce a new hook (similar to EnhancedChangesList::getLogText) that would allow Flow to alter the links/text.

Change 220766 had a related patch set uploaded (by Sbisson):
Add 'EnhancedChangesList::getTimestampLink' hook

https://gerrit.wikimedia.org/r/220766

Change 220769 had a related patch set uploaded (by Sbisson):
[WIP] Fix timestamp link on Enhanced RC

https://gerrit.wikimedia.org/r/220769

Change 220769 abandoned by Sbisson:
[WIP] Fix timestamp link on Enhanced RC

Reason:
See https://gerrit.wikimedia.org/r/220780

https://gerrit.wikimedia.org/r/220769

Change 220931 had a related patch set uploaded (by Sbisson):
[WIP] Add 'EnhancedChangesList::getRecentChangeEntryLineData' hook

https://gerrit.wikimedia.org/r/220931

Change 220766 abandoned by Sbisson:
[WIP] Add 'EnhancedChangesList::getTimestampLink' hook

Reason:
New approach: https://gerrit.wikimedia.org/r/#/c/220931/1

https://gerrit.wikimedia.org/r/220766

Change 220953 had a related patch set uploaded (by Sbisson):
[WIP] Fix timestamp link in grouped RC lines

https://gerrit.wikimedia.org/r/220953

Change 220931 merged by jenkins-bot:
Add 'EnhancedChangesListModifyLineData' hook

https://gerrit.wikimedia.org/r/220931

Change 220953 merged by jenkins-bot:
Fix timestamp link in grouped RC lines

https://gerrit.wikimedia.org/r/220953

He7d3r added a subscriber: He7d3r.Jun 27 2015, 5:54 PM

Checked in beta - Timestamp links for Grouped patrolled edits correctly redirect to pages with [Mark this page as patrolled] .

DannyH closed this task as Resolved.Jul 2 2015, 4:33 PM